import { ITheme, Colors } from '../../typings/theme.types';

export const DarkTheme: ITheme = {
  basic: 'black',
  primaryBackground: Colors.EERIE_BLACK,
  secondaryBackground: Colors.EERIE_BLACK,
  textInputBackground: Colors.JET_BLACK,
  buttonBackground: Colors.PURPLE_NAVY,
  graphBackground: Colors.GRAY_WEB,
  chartBackground: Colors.EERIE_BLACK,
  sliderBackground: Colors.BLACK,
  sliderTintColor: Colors.JET_BLACK,
  chartTitleColor: Colors.LAVENDER_GRAY,
  graphAreaColor: Colors.RUSSET,
  listColor: Colors.OLD_BURGUNDY,
  borderColor: Colors.BLACK_CHOCO,
  chargingRingColor: Colors.MINT_GREEN,
  chargingRingGradientColor: Colors.FOREST_GREEN_CRAYOLA,
  primaryTextColor: Colors.LAVENDER_GRAY,
  secondaryTextColor: Colors.DAVYS_GRAY,
  climateStatusColor: Colors.CARDINAL,
  chargingStatusColor: Colors.MIDNIGHT_GREEN,
  headerColor: Colors.EERIE_BLACK,
  placeholderTextColor: Colors.GRAY_WEB,
  cursorColor: Colors.QUEEN_PINK,
  markerColor: Colors.LANGUID_LAVENDER,
  routeColor: Colors.MAC_AND_CHEESE,
  activeTabPickerColor: Colors.BLACK,
  tabButtonActiveColor: Colors.SILVER_PINK,
  tabButtonInactiveColor: Colors.LANGUID_LAVENDER,
  controlItemActiveButtonColor: Colors.BLACK_CHOCO,
  controlItemInactiveButtonColor: Colors.SPACE_CADET,
  seatHeaterIndicatorActiveColor: Colors.CARDINAL,
  seatHeaterIndicatorInactiveColor: Colors.LAVENDER_GRAY,
  modalBackground: Colors.JET_BLACK,
  modalHandleColor: Colors.GRAY_WEB,
  errorColor: Colors.CARDINAL,
  gradient1: [Colors.EERIE_BLACK, Colors.OLIVE_DRAB],
  gradient2: [Colors.JET_BLACK, Colors.DARK_PURPLE],
  gradient3: [Colors.GRAY_WEB, Colors.EERIE_BLACK],
};
